Subject: bug#30622: closed (Re: bug#30622: Status: "Service ssh-daemon could not be started." in desktop VM image)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Apr 2018 08:07:03 +0000

Your bug report

#30622: "Service ssh-daemon could not be started." in desktop VM image

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30622: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30622
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30622: Status: "Service ssh-daemon could not be started." in desktop VM image
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: bug#30622 <[email-masked]>
Date: Fri, 06 Apr 2018 10:06:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] skribis:

> As of guix (GNU Guix) 0.14.0.4032-cfb55 I can't reproduce this so I
> suggest it be closed. TIA - George

Closing.

(Note: Just email [email-masked] to close bug NNN.)

Thanks,
Ludo'.

Subject: "Service ssh-daemon could not be started." in desktop VM image
From: George myglc2 Clemmer <[email-masked]>
To: [email-masked]
Date: Mon, 26 Feb 2018 18:34:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

sshd fails to start in a desktop config (destop03.scm, attached)

The shepherd.log contains (full log attached) ...

g1@g1 ~/bug/sshtoXFCE/log$ grep could shepherd.log
2018-02-26 18:07:47 Service user-homes could not be started.
2018-02-26 18:07:48 Service term-auto could not be started.
2018-02-26 18:07:58 Service ssh-daemon could not be started.

I attempted to start it manually ...

root@desktop03 /gnu/store# sshd -D -f /gnu/store/ky9d1r3kj7yv6sbf8cjp23ym95lc5kss-sshd_config
sshd re-exec requires execution with an absolute path

root@desktop03 /gnu/store# sshd -d -f /gnu/store/ky9d1r3kj7yv6sbf8cjp23ym95lc5kss-sshd_config
sshd re-exec requires execution with an absolute path

root@desktop03 /gnu/store# cat /gnu/store/ky9d1r3kj7yv6sbf8cjp23ym95lc5kss-sshd_config
# Generated by 'openssh-service'.
Port 22
PermitRootLogin yes
PermitEmptyPasswords no
PasswordAuthentication yes
PubkeyAuthentication yes
X11Forwarding yes
PidFile /var/run/sshd.pid
ChallengeResponseAuthentication no
UsePAM yes
PrintLastLog yes
AuthorizedKeysFile  .ssh/authorized_keys .ssh/authorized_keys2 /etc/ssh/authorized_keys.d/%u
Subsystem	sftp	internal-sftp
root@desktop03 /gnu/store# 

The vm was created by ...

guix system vm-image -M 4 -c 4 --image-size=5GB \
/home/g1/www/vm/vms/desktop03/desktop03.scm

... and run by ...

sudo qemu-system-x86_64 -name desktop03 -net \
tap,ifname=desktop03,script=/home/g1/www/vm/qemu-ifup,downscript=/home/g1/www/vm/qemu-ifdn \
-net nic,model=virtio,macaddr=DE:AD:BE:EF:3A:8E -enable-kvm -m 5120 -k \
en-us -vga qxl -spice addr=127.0.0.1,port=3001,disable-ticketing -device \
virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent -device \
virtserialport,chardev=vdagent,name=com.redhat.spice.0 -daemonize \
/home/g1/www/vm/vms/desktop03/vm.img

TIA - George